Updating FireFox


Howard Traxler
 

A banking site I use (Chase) insists that I get a newer version of my Browser.  Now, I'm using Firefox 60.9.0ESR along with a recent version of NVDA.  Has anyone experienced newer firefox and do you think there will be problems?

Thanks.
Howard

Join main@TechTalk.groups.io to automatically receive all group messages.